Chuyển đến nội dung
Diễn đàn CADViet

Bảng xếp hạng


Nội dung phổ biến

Hiển thị nội dung có danh tiếng cao nhất vì 23/02/2021 trong Bài đăng

  1. 4 điểm
    Hôm trước mình có đăng bài về thống kê Block động, block Dynamic có Visibility thì thấy có rất nhiều bạn quan tâm. Nay mình đăng lại trên diễn đàn. Mọi người có thể tham khảo. Ai cần có thể liên hệ mình nhé: nvdoangt@gmail.com (zalo: 0976379894)
  2. 1 điểm
  3. 1 điểm
    Thuật toán là nối 2 đường xong kiểm tra vị trí các điểm của pline mới tạo ra, rồi phát nổ tại điểm nối
  4. 1 điểm
  5. 1 điểm
    hi,cái này là em lấy bất kì 2 đường poly nên tổng quát hơn trường hợp của 2 đường poly đơn nhưng để làm được trường hợp tổng quát này em thấy nó cũng phức tạp do đó bài toán khắc xuất khắc nhập đường poly khi sử dụng lệnh fillet nếu mà đi đến cùng em nghĩ có vẻ không đơn giản
  6. 1 điểm
  7. 1 điểm
    Nét nhỏ thì sửa. "pline" diem PT1 PT3 "" thành "pline" diem "w" "0.00" "0.00" PT1 PT3 "" là xong. Vị trí tự chọn là vị trí gì?
  8. 1 điểm
    Chào! Hì vậy nghĩa là bạn muốn 1 lệnh như fillet nhưng đừng đính lại với nhau. Vậy mình sẽ tiếp tục theo hướng đó. Nó mất công thêm 1 chút.
  9. 1 điểm
    hi,lisp này em thấy bác viết rất hay bác ạ,mong bác đừng dừng lại.Vì đây là chủ đề của bạn chủ thớt nên em cũng ngại khi lấn sân sâu quá,song cá nhân em thì thấy lisp này là hữu dụng đối với em.Nếu em mà là chủ thớt thì em mong nó làm việc như lệnh fillet,có điều làm sao khi fillet rồi thì nó không dính hết vào nhau như lệnh fillet khi có một đối tượng là polyline trong đó.Cá nhân em mà dùng lisp này thì em mong nó cứ "thiến" hết như fillet ạ.Cảm ơn bác đã xem xét ạ!
  10. 1 điểm
  11. 1 điểm
    Ko hiểu sao nó gửi nhầm file chưa sửa xong. Gửi lại anh đây. AREA_ae1.LSP
  12. 1 điểm
    Chào Bạn! Cái mình đã đưa là phần cốt lõi của bài toán. Để trở thành chuyên nghiệp, sản phẩm thị trường hơn cần làm như Bạn nói. Thông thường nhưng chuyện đó ko phức tạp lắm, Mình sửa theo y/c của Bạn -Chọn Poly -Chỉ lấy 2 obj -Có Undo. Cám ơn đã ý kiến (Mình định để người yêu cầu xem xét rồi chỉnh sửa luôn). Bạn tham khảo nhé! Cad_Viet4.LSP
  13. 1 điểm
    Bạn đổi textstyle hiện hành thành cái khác standard (các textstyle có height là 0.00) mà chạy được thì là tôi đoán đúng chỉ cần sửa 1 dòng là xong. Do cad tôi có nhiều lisp chỉnh thông số mặc định nên file cad và lisp của bạn tôi dùng thử vẫn được.
  14. 1 điểm
    File cad của bạn đời cao, tôi dùng cad2007 mở không được nên dự đoán lỗi như trên chứ ko phải cad đời cao hơn cad2007 không hiểu lisp này.
  15. 1 điểm
    File cad đời cao hơn 2007 mở không được. Dự là do height của text hiện hành bằng 0 nên lỗi xuất text.
  16. 1 điểm
    em thấy lisp của bác @DuongTrungHuy viết rất hay,chọn nhanh được đối tượng,nhưng nếu mà lỡ tay chọn nhầm làm lisp bị lỗi(như chọn đối tượng không phải là polyline,chọn quá 2 đường polyline,chọn 1 đường line và 1 đường polyline ....) thì lisp sẽ xóa luôn các đối tượng được chọn,và lần sau dùng lại cũng bị xóa luôn.Bác có thể chỉnh lại chỗ này một chút để mà quét chọn nhầm thì nó vẫn không bị xóa( hoặc báo lỗi để còn biết mà sửa) chứ không xóa hẳn luôn được không ạ,nghĩa là lisp không yêu xin đừng nói lời cay đắng ý ạ
  17. 1 điểm
    Mục tiêu : 1. Lấy list điểm của pline 2. Chọn điểm cuối pline gần với điểm lựa chọn entsel 3. Xác định giao điểm 2 pline 4. Dời điểm cuối pline sang giao điểm (defun c:test5 () (defun pl_update_point (ent p pudt) (entmod (subst (cons 10 pudt) (cons 10 p) (entget ent))) (entupd ent) ) (defun pl_get_all_point (ent) (setq ls nil) (foreach n (entget ent) (if (= 10 (car n)) (setq ls (append ls (list (cdr n)))) ) ) ls ) (defun near_point (str) (setq e (entsel str) ent (car e) p1 (cadr e) ls (pl_get_all_point ent) n (length ls) ) (if (< (distance p1 (car ls)) (distance p1 (last ls))) (list (car ls) (nth 1 ls) ent) (list (last ls) (nth (- n 2) ls) ent) ) ) (setq ls1 (near_point "\nChon pline 1") ls2 (near_point "\nChon pline 2")) (setq inter (INTERS (nth 0 ls1) (nth 1 ls1) (car ls2) (nth 1 ls2) nil) ) (pl_update_point (nth 2 ls1) (car ls1) inter) (pl_update_point (nth 2 ls2) (car ls2) inter) )
  18. 1 điểm
    Chỉ sửa theo yêu cầu, những chỗ khác ko đụng đến. AREA_ae1.LSP
  19. 1 điểm
    8 câu trả lời mà mọi người vẫn phải đoán già đoán non, không hiểu chủ thớt muốn gì lun, ngay tên lệnh cũng nói sai, đó là chamfer chứ kp fillet nhé bác, botay.com!!
  20. -1 điểm
    các nét hạ tầng trong này là polyline mình muốn là các nét hạ tầng này đều là từng đoạn riêng biệt ... Nếu ta làm nối bằng fillet thì xem như các nét hạ tầng này đều nhập thành 1 rất khó chỉnh sửa kéo dịch chuyển khi bị sai . Nên mình hỏi có cách nào cũng là nối các polyline này lại với nhau nhưng nó không hợp nhất thành 1 , có thể chỉ giúp mình . 12.TONG HOP DD- DUONG ONG CatTai2021-Vitri2.dwg
  21. -1 điểm
    Không được bác ơi ! nó báo miền không kín, mặc dù tôi vẽ dùng thử co hình tròn. Bác xem lại dùm
  22. -1 điểm
    Hình như chưa đúng bạn ơi ! Đó là khoảng cách từ điểm chọn tới đường chuẩn. Bạn viết lại giúp đi .
  23. -1 điểm
  24. -1 điểm
    Mình tìm được cái lisp tính diện tích trên diễn đàn như sau(file đính kèm). Mình muốn các Pro sửa dùm một tý cho phù hợp cho phù hợp với ý muốn: 1. Diện tích xuất ra có MÀU ĐỎ 2. Vị tri xuất diện tích theo chỉ điểm(pick). Cảm ơn các Pro nhiều ! AREA_ae.LSP
  25. -1 điểm
    Mình muốn hỏi làm cách nào để nối 2 đường polyline lại với nhau như lệnh fillet nhưng nó vẫn là 2 polyline chứ không phải gộp lại thành 1 .... Cảm ơn mọi người giúp đỡ
Bảng thành tích này được đặt thành Tp. Hồ Chí Minh /GMT +07:00


  • Newsletter

    Want to keep up to date with all our latest news and information?

    Sign Up
×